Page MenuHomePhabricator

VisualEditor gives warning on Firefox for Android
Closed, ResolvedPublic

Description

David Gerard says that he cannot get an 'edit' button for VisualEditor on his Samsung Galaxy Tablet 4 8.0, while using Wikipedia's desktop site in Firefox.

Details

Related Gerrit Patches:

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 1:48 AM
David_Gerard added a comment.EditedJun 5 2015, 5:30 PM

Retesting the bug just now:

I'm coming in from 82.71.1.109. Tablet is using the house wifi.

If I go to https://en.wikipedia.org/wiki/OOO logged in as User:David_Gerard:

  • on laptop, I get tabs "Read | Edit source | Edit | View history | * | More" (where "Edit" is VE)
  • on tablet, I get tabs "Read | Edit source | View history | * | More"

User-agent on laptop: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0
User-agent on tablet: Mozilla/5.0 (Android; Tablet; rv:38.0) Gecko/38.0 Firefox/38.0

If I try to force the tablet to use VE with https://en.wikipedia.org/wiki/OOO?veaction=edit then it just displays the page, not bringing up any sort of edit window. If I go to that URL on the laptop, it brings up the VE.

Expected result: Firefox on the tablet should be able to handle everything FF on a PC does, I opted into VE and I should at least be able to force it on for testing.

Normal wikitext editing from the tablet in Firefox works fine.

I see the same thing on a Moto X running Android 5.0. When I bring up a desktop page in Chrome 43.0.2357.92, I get the "edit" link; when I do the same in Firefox 38.0.5, I only get "edit source".

David_Gerard added a comment.EditedJun 5 2015, 7:48 PM

Yep, works for me on this tablet running Chrome too; clunky (can't highlight text), but not infeasible and worth providing to people. See https://en.wikipedia.org/wiki/User:David_Gerard/sandbox for results.

I suppose what I'm asking for is an option for "no really, even if you know VE won't work on this browser, I want to be able to switch it on because I like living dangerously. VE in IE6? WOW LOOK AT THAT!" Secondarily, whatever's disabling it in Firefox Android shouldn't be.

Jdforrester-WMF triaged this task as Lowest priority.Aug 4 2015, 7:29 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

The problem here is that Firefox isn't reporting the Android version number. We blacklisted Android < 3 for some major reason, and this computes as version 0.

Esanders renamed this task from VisualEditor not available on Samsung Galaxy Tablet 4 8.0, If using Wikipedia's desktop site in Firefox to VisualEditor not available on Firefox for Android.Aug 11 2015, 9:21 PM
Esanders added a project: jQuery-Client.

This is a bug with jQuery client:

Mozilla/5.0 (Android; Mobile; rv:13.0) Gecko/13.0 Firefox/13.0

should not match 'android' as the browser name as it has no version number, it should match firefox instead

Esanders raised the priority of this task from Lowest to Low.Sep 1 2015, 5:29 PM
Esanders added a subscriber: Krinkle.
Izno added a subscriber: Izno.Feb 3 2019, 1:23 PM

I realize this is a 4 year task... But Firefox works on my Android device (LG G5) with WTE17. It does still have the "unsupported" note in the edit notification pane.

Change 489421 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] resources: Update jquery-client from v2.0.1 to v2.0.2

https://gerrit.wikimedia.org/r/489421

Change 489421 merged by jenkins-bot:
[mediawiki/core@master] resources: Update jquery-client from v2.0.1 to v2.0.2

https://gerrit.wikimedia.org/r/489421

Esanders renamed this task from VisualEditor not available on Firefox for Android to VisualEditor gives warning on Firefox for Android.Feb 10 2019, 1:54 AM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to QA on the VisualEditor (Current work) board.
Esanders moved this task from Inbox to Low Priority on the Editing QA board.Feb 13 2019, 6:47 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Apr 1 2019, 8:27 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Apr 23 2019, 12:35 AM